Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.jca.security
Class KeyStore

    java.lang.Object
      com.mindbright.jca.security.KeyStore

public class KeyStore
extends java.lang.Object

Constructor Summary
`protected` | `KeyStore(KeyStoreSpi keyStoreSpi, Provider provider, java.lang.String type)`

Method Summary
`java.util.Enumeration` | `aliases()`
`boolean` | `containsAlias(java.lang.String alias)`
`void` | `deleteEntry(java.lang.String alias)`
`Certificate` | `getCertificate(java.lang.String alias)`
`java.lang.String` | `getCertificateAlias(Certificate cert)`
`Certificate[]` | `getCertificateChain(java.lang.String alias)`
`java.util.Date` | `getCreationDate(java.lang.String alias)`
`static java.lang.String` | `getDefaultType()`
`static KeyStore` | `getInstance(java.lang.String type)`
`static KeyStore` | `getInstance(java.lang.String type, java.lang.String provider)`
`Key` | `getKey(java.lang.String alias, char[] password)`
`Provider` | `getProvider()`
`java.lang.String` | `getType()`
`boolean` | `isCertificateEntry(java.lang.String alias)`
`boolean` | `isKeyEntry(java.lang.String alias)`
`void` | `load(java.io.InputStream stream, char[] password)`
`void` | `setCertificateEntry(java.lang.String alias, Certificate cert)`
`void` | `setKeyEntry(java.lang.String alias, byte[] key, Certificate[] chain)`
`void` | `setKeyEntry(java.lang.String alias, Key key, char[] password, Certificate[] chain)`
`int` | `size()`
`void` | `store(java.io.OutputStream stream, char[] password)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyStore

    protected KeyStore(KeyStoreSpi keyStoreSpi,
                       Provider provider,
                       java.lang.String type)

Method Detail

### getInstance

    public static KeyStore getInstance(java.lang.String type)
                                throws KeyStoreException

  Throws:
    `KeyStoreException`

### getInstance

    public static KeyStore getInstance(java.lang.String type,
                                       java.lang.String provider)
                                throws KeyStoreException,
                                       NoSuchProviderException

  Throws:
    `KeyStoreException`
    `NoSuchProviderException`

### getProvider

    public final Provider getProvider()

### getType

    public final java.lang.String getType()

### getKey

    public final Key getKey(java.lang.String alias,
                            char[] password)
                     throws KeyStoreException,
                            NoSuchAlgorithmException,
                            UnrecoverableKeyException

  Throws:
    `KeyStoreException`
    `NoSuchAlgorithmException`
    `UnrecoverableKeyException`

### getCertificateChain

    public final Certificate[] getCertificateChain(java.lang.String alias)
                                            throws KeyStoreException

  Throws:
    `KeyStoreException`

### getCertificate

    public final Certificate getCertificate(java.lang.String alias)
                                     throws KeyStoreException

  Throws:
    `KeyStoreException`

### getCreationDate

    public final java.util.Date getCreationDate(java.lang.String alias)
                                         throws KeyStoreException

  Throws:
    `KeyStoreException`

### setKeyEntry

    public final void setKeyEntry(java.lang.String alias,
                                  Key key,
                                  char[] password,
                                  Certificate[] chain)
                           throws KeyStoreException

  Throws:
    `KeyStoreException`

### setKeyEntry

    public final void setKeyEntry(java.lang.String alias,
                                  byte[] key,
                                  Certificate[] chain)
                           throws KeyStoreException

  Throws:
    `KeyStoreException`

### setCertificateEntry

    public final void setCertificateEntry(java.lang.String alias,
                                          Certificate cert)
                                   throws KeyStoreException

  Throws:
    `KeyStoreException`

### deleteEntry

    public final void deleteEntry(java.lang.String alias)
                           throws KeyStoreException

  Throws:
    `KeyStoreException`

### aliases

    public final java.util.Enumeration aliases()
                                        throws KeyStoreException

  Throws:
    `KeyStoreException`

### containsAlias

    public final boolean containsAlias(java.lang.String alias)
                                throws KeyStoreException

  Throws:
    `KeyStoreException`

### size

    public final int size()
                   throws KeyStoreException

  Throws:
    `KeyStoreException`

### isKeyEntry

    public final boolean isKeyEntry(java.lang.String alias)
                             throws KeyStoreException

  Throws:
    `KeyStoreException`

### isCertificateEntry

    public final boolean isCertificateEntry(java.lang.String alias)
                                     throws KeyStoreException

  Throws:
    `KeyStoreException`

### getCertificateAlias

    public final java.lang.String getCertificateAlias(Certificate cert)
                                               throws KeyStoreException

  Throws:
    `KeyStoreException`

### store

    public final void store(java.io.OutputStream stream,
                            char[] password)
                     throws KeyStoreException,
                            java.io.IOException,
                            NoSuchAlgorithmException,
                            CertificateException

  Throws:
    `KeyStoreException`
    `java.io.IOException`
    `NoSuchAlgorithmException`
    `CertificateException`

### load

    public final void load(java.io.InputStream stream,
                           char[] password)
                    throws java.io.IOException,
                           NoSuchAlgorithmException,
                           CertificateException

  Throws:
    `java.io.IOException`
    `NoSuchAlgorithmException`
    `CertificateException`

### getDefaultType

    public static final java.lang.String getDefaultType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD